PayNowPro
Groups

Delete Product Group

Permanently deletes a product group and all associated products and prices.

DELETE
/groups/{groupId}
api-key<token>

In: header

Path Parameters

groupId*string

The product group ID from the URL path

Query Parameters

tenantAlias*string

Merchant identifier for multi-tenant access

Response Body

application/json

application/json

application/json

curl -X DELETE "https://api.paynowpro.com/api/v1/groups/string?tenantAlias=string"
{
  "id": "string",
  "tenantAlias": "string",
  "name": "string",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "createdAt": "string",
  "updatedAt": "string",
  "prorateUpgrades": true
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}